# Retrieve a list of delivery reports Get a list of finished delivery reports. This operation supports pagination. Endpoint: GET /xms/v1/{service_plan_id}/delivery_reports Version: v1 Security: BearerAuth ## Path parameters: - `service_plan_id` (string, required) Your service plan ID. You can find this on your Dashboard. Example: "jd63jf88477ll123ab4567cd89012ef3" ## Query parameters: - `page` (integer) The page number starting from 0. Example: 2 - `page_size` (integer) Determines the size of a page. Example: 50 - `start_date` (string) Only list messages received at or after this date/time. Default: 24h ago - `end_date` (string) Only list messages received before this date/time. Example: "2022-10-02 09:34:18.542000+00:00" - `status` (array) Comma separated list of delivery report statuses to include. Enum: "Queued", "Dispatched", "Aborted", "Cancelled", "Failed", "Delivered", "Expired", "Rejected", "Deleted", "Unknown" - `code` (array) Comma separated list of delivery receipt error codes to include. Enum: 400, 401, 402, 403, 404, 405, 406, 407, 408, 410, 411, 412, 413, 414, 415, 416, 417, 418 - `client_reference` (string) Client reference to include Example: "myReference" ## Response 200 fields (application/json): - `count` (integer) The total number of entries matching the given filters. Example: 2 - `page` (integer) The requested page. - `page_size` (integer) The number of entries returned in this request. Example: 2 - `delivery_reports` (array) The page of delivery reports matching the given filters. - `delivery_reports.at` (string, required) A timestamp of when the Delivery Report was created in the Sinch service. Formatted as [ISO-8601](https://en.wikipedia.org/wiki/ISO_8601): YYYY-MM-DDThh:mm:ss.SSSZ. - `delivery_reports.batch_id` (string, required) The ID of the batch this delivery report belongs to Example: "01FC66621XXXXX119Z8PMV1QPQ" - `delivery_reports.code` (integer, required) The detailed [status code](https://developers.sinch.com/docs/sms/api-reference/sms/delivery-reports/delivery-report-error-codes). Enum: 400, 401, 402, 403, 404, 405, 406, 407, 408, 410, 411, 412, 413, 414, 415, 416, 417, 418 - `delivery_reports.recipient` (string, required) Phone number that was queried. Example: "15551231234" - `delivery_reports.status` (string, required) The simplified status as described in _Delivery Report Statuses_. Enum: "Queued", "Dispatched", "Aborted", "Cancelled", "Failed", "Delivered", "Expired", "Rejected", "Deleted", "Unknown" - `delivery_reports.type` (string, required) The recipient delivery report type. Enum: "recipient_delivery_report_sms", "recipient_delivery_report_mms" - `delivery_reports.applied_originator` (string) The default originator used for the recipient this delivery report belongs to, if default originator pool configured and no originator set when submitting batch. - `delivery_reports.client_reference` (string) The client identifier of the batch this delivery report belongs to, if set when submitting batch. - `delivery_reports.encoding` (string) Applied encoding for message. Present only if smart encoding is enabled. Enum: "GSM", "UNICODE" - `delivery_reports.number_of_message_parts` (integer) The number of parts the message was split into. Present only if max_number_of_message_parts parameter was set. Example: 1 - `delivery_reports.operator` (string) The operator that was used for delivering the message to this recipient, if enabled on the account by Sinch. Example: "35000" - `delivery_reports.operator_status_at` (string) A timestamp extracted from the Delivery Receipt from the originating SMSC. Formatted as [ISO-8601](https://en.wikipedia.org/wiki/ISO_8601): YYYY-MM-DDThh:mm:ss.SSSZ. ## Response 400 fields (application/json): - `code` (string) The error code. See [error codes](https://developers.sinch.com/docs/sms/api-reference/status-codes/). - `text` (string) The human readable description of the error.